### Type parameters

- #### T

### Hierarchy

- ListIterator

### Implements

- Iterator<T>

## Index

### Constructors

- constructor

### Methods

- next

## Constructors

### constructor

- new ListIterator(listHead: Optional<ListItem<T>>): ListIterator

- - Defined in sortedList.ts:81

  #### Parameters

  - ##### listHead: Optional<ListItem<T>>

  #### Returns ListIterator

## Methods

### next

- next(value?: any): ListIteratorResult<T> | IteratorResultDone<T>

- - Defined in sortedList.ts:86

  #### Parameters

  - ##### Optional value: any

  #### Returns ListIteratorResult<T> | IteratorResultDone<T>

Generated using TypeDoc